#Larval survival to adulthood

data_surv=read.csv("data_surv.csv",header=TRUE)

x=data_surv[,1]
z=factor(x)
x=subset(x,z == "a" | z == "b"| z == "c"| z == "d"| z == "e"| z == "f"| z == "g"| z == "h"| z == "i"| z == "j"| z == "k")
x=factor(x)
y=subset(data_surv,z == "a" | z == "b"| z == "c"| z == "d"| z == "e"| z == "f"| z == "g"| z == "h"| z == "i"| z == "j"| z == "k")
y=y[,4]

fit=aov(y~x)
summary(fit)
test.dunnett=glht(fit,linfct=mcp(x="Dunnett"))
confint(test.dunnett)

#Larval development time

data_dev=read.csv("data_dev.csv",header=TRUE)

x=data_dev[,1]
z=factor(x)
x=subset(x,z == "a" | z == "b" | z == "c"| z == "d" | z == "e"| z == "f"| z == "g")
x=factor(x)
y=subset(data_dev,z == "a" | z == "b" | z == "c"| z == "d" | z == "e"| z == "f"| z == "g")
y=y[,3]

fit=aov(y~x)
summary(fit)
TukeyHSD(fit)

#Larval survival to adulthood - species comparisons

data_species=read.csv("species_surv.csv",header=TRUE)

x=data_species[,1]
z=factor(x)
x=subset(x,z == "a" | z == "b" | z == "c"| z == "d" | z == "e"| z == "f" | z == "g"| z == "h"| z == "i")
x=factor(x)
y=subset(data_species,z == "a" | z == "b" | z == "c"| z == "d" | z == "e"| z == "f" | z == "g"| z == "h"| z == "i")
y=y[,4]

fit=aov(y~x)
summary(fit)
TukeyHSD(fit)

#Feeding assays
#AO

data_AO=read.csv("feeding_AO.csv",header=TRUE)

x=data_AO[,1]
z=factor(x)
x=subset(x,z == "a" | z == "b" | z == "c"| z == "d" | z == "e"| z == "f" | z == "g"| z == "h")
x=factor(x)
y=subset(data_AO,z == "a" | z == "b" | z == "c"| z == "d" | z == "e"| z == "f" | z == "g"| z == "h")
y=y[,3]

fit=aov(y~x)
summary(fit)
TukeyHSD(fit)

#FITC

data_FITC=read.csv("feeding_FITC.csv",header=TRUE)

x=data_FITC[,1]
z=factor(x)
x=subset(x,z == "a" | z == "b" | z == "c"| z == "d" | z == "e"| z == "f" | z == "g"| z == "h")
x=factor(x)
y=subset(data_FITC,z == "a" | z == "b" | z == "c"| z == "d" | z == "e"| z == "f" | z == "g"| z == "h")
y=y[,3]

fit=aov(y~x)
summary(fit)
TukeyHSD(fit)






